%undefine cvs_date
%def_with pstoedit

Name: autotrace
Version: 0.31.1
%define release alt1

%ifdef cvs_date
Release: %{release}cvs%cvs_date
%else
Release: %release
%endif

Summary: Bitmap to vector graphics converter
Summary(ru_RU.KOI8-R):    .
Group: Graphics
License: GPL
Url: http://%name.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

%ifndef cvs_date
Source: http://ftp1.sourceforge.net/%name/%name-%version.tar.gz
%else
Source: %name-%version-%cvs_date.tar.bz2
%endif

%define pstoedit_ver 3.32

Requires: lib%name = %version-%release

%if_with pstoedit
BuildPreReq: pstoedit-devel >= %pstoedit_ver
%endif

# Automatically added by buildreq on Wed Nov 13 2002
BuildRequires: XFree86-devel XFree86-libs freetype2-devel gcc-c++ glibc-devel-static libImageMagick-devel liblcms-devel libpng-devel libstdc++-devel pstoedit-devel zlib-devel

%description
The aim of the AutoTrace project is the development of a freely
available application with a functionality similar to CorelTrace or
Adobe Streamline. I hope that it will become better than all
commercially available programs. In some aspects it is already better.

Supported formats:
Input BMP, TGA, PNM, PPM, PGM, PBM and those supported by ImageMagick.
Export Postscript, svg, xfig, swf, pstoedit, emf, dxf, cgm, mif, p2e and sk

%description -l ru_RU.KOI8-R
%name -      .

 :
: BMP, TGA, PNM, PPM, PGM, PBM  ,   ImageMagick.
: Postscript, svg, xfig, swf, pstoedit, emf, dxf, cgm, mif, p2e  sk

%package -n lib%name
Summary: Shared library for %name
Group: System/Libraries

%description -n lib%name
Shared library needed to run %name.

%package -n lib%name-devel
Summary: Development package of %name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Headers files needed to compile programs using lib%name.

%package -n lib%name-devel-static
Summary: Static version of lib%name
Group: System/Libraries
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static library required for packaging statically
linked software using lib%name.

%prep
%ifndef cvs_date
%setup -q -n %name-%version
%else
%setup -q -n %name-%version-%cvs_date
%endif

%build
%ifdef cvs_date
%__subst 's@autoconf@autoconf_2.5@' autogen.sh
%__subst 's@autoheader@autoheader_2.5@' autogen.sh

./autogen.sh
%endif

%configure \
%if_without pstoedit
	--without-pstoedit
%endif

%make_build

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/%name
%_man1dir/*
%doc README* NEWS AUTHORS ChangeLog THANKS HACKING

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/%name-config
%_includedir/%name
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*
%_datadir/aclocal/*

%files -n lib%name-devel-static
%_libdir/lib*.a

%changelog
* Wed Nov 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.31.1-alt1
- 0.31.1

* Fri Oct 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.31.0-alt1
- 0.31.0

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 0.30.5-alt0.5cvs20020917
- fix changelog entry

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.30.5-alt0.5
- 0.30.5 from cvs
- built w/o libming (SWF output disabled) and pstoedit support.
- we have shared library now.

* Thu Apr 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.30-alt0.5
- 0.30

* Sat Mar 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.29-alt0.5
- First build for Sisyphus w/o shared library (makefile don't 
  supports it) and w/o swf-output support, it requires libming.
